Index: gap-4r7p3/lib/helpbase.gi
===================================================================
--- gap-4r7p3.orig/lib/helpbase.gi	2014-02-15 19:41:38.000000000 +0100
+++ gap-4r7p3/lib/helpbase.gi	2014-02-23 11:47:26.636760244 +0100
@@ -660,7 +660,8 @@
     NormalizeWhitespace(handler);
   else
     handler := "default";
-    RewindStream(stream);
+    CloseStream(stream);
+    stream := InputTextFile(six);
   fi;
   # give up if handler functions are not (yet) loaded
   if not IsBound(HELP_BOOK_HANDLER.(handler)) then
